org.apache.avro.mapreduce

## Class CombineAvroKeyValueFileInputFormat<K,V>

- java.lang.Object
- - org.apache.hadoop.mapreduce.InputFormat<K,V>
  - - org.apache.hadoop.mapreduce.lib.input.FileInputFormat<K,V>
    - - org.apache.hadoop.mapreduce.lib.input.CombineFileInputFormat<AvroKey<K>,AvroValue<V>>
      - - org.apache.avro.mapreduce.CombineAvroKeyValueFileInputFormat<K,V>

Type Parameters:
  `K` - The type of the Avro key to read.
  `V` - The type of the Avro value to read.

    public class CombineAvroKeyValueFileInputFormat<K,V>
    extends CombineFileInputFormat<AvroKey<K>,AvroValue<V>>

A combine avro keyvalue file input format that can combine small avro files into mappers.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

`FileInputFormat.Counter`

### Field Summary

### Fields inherited from class org.apache.hadoop.mapreduce.lib.input.CombineFileInputFormat

`SPLIT_MINSIZE_PERNODE, SPLIT_MINSIZE_PERRACK`

### Fields inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

`DEFAULT_LIST_STATUS_NUM_THREADS, INPUT_DIR, INPUT_DIR_NONRECURSIVE_IGNORE_SUBDIRS, INPUT_DIR_RECURSIVE, LIST_STATUS_NUM_THREADS, NUM_INPUT_FILES, PATHFILTER_CLASS, SPLIT_MAXSIZE, SPLIT_MINSIZE`

### Constructor Summary

Constructors
Constructor and Description
`CombineAvroKeyValueFileInputFormat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RecordReader<AvroKey<K>,AvroValue<V>>` `createRecordReader(InputSplit inputSplit, TaskAttemptContext taskAttemptContext)`

### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.CombineFileInputFormat

`createPool, createPool, getFileBlockLocations, getSplits, isSplitable, setMaxSplitSize, setMinSplitSizeNode, setMinSplitSizeRack`

### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

`addInputPath, addInputPathRecursively, addInputPaths, computeSplitSize, getBlockIndex, getFormatMinSplitSize, getInputDirRecursive, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, listStatus, makeSplit, makeSplit, setInputDirRecursive, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CombineAvroKeyValueFileInputFormat

    public CombineAvroKeyValueFileInputFormat()

### Method Detail

#### createRecordReader

    public RecordReader<AvroKey<K>,AvroValue<V>> createRecordReader(InputSplit inputSplit,
                                                                    TaskAttemptContext taskAttemptContext)
                                                             throws IOException

Specified by:
  `createRecordReader` in class `CombineFileInputFormat<AvroKey<K>,AvroValue<V>>`
Throws:
  `IOException`